haohaohapp 发表于 2004-12-23 09:25:00

如何得到矩形GROUP的四个端点?

我图中有个矩形的GROUP实体,如何通过程序得到这个GROUP的四个端点坐标?

haohaohapp 发表于 2004-12-23 09:53:00

上传一个例图,望高手指教

yulijin608 发表于 2004-12-23 10:45:00

写了一点,没时间写了,你自己再改改吧.


Sub test()<BR>                       Dim group(0 To 3) As AcadLine<BR>                       Dim point As Variant<BR>                       Dim sset As AcadSelectionSet<BR>                       Dim entry As AcadEntity<BR>                       Dim i As Integer<BR>                       ThisDrawing.SendCommand "prompt" &amp; "请选择"<BR>                       point = ThisDrawing.Utility.GetPoint()<BR>                       For i = 0 To ThisDrawing.SelectionSets.Count - 1<BR>                                                       If ThisDrawing.SelectionSets.Item(i).Name = "ss1" Then ThisDrawing.SelectionSets.Item("ss1").Delete<BR>                       Next i<BR>                       Set sset = ThisDrawing.SelectionSets.Add("ss1")<BR>                       sset.SelectAtPoint point<BR>                       Set group(0) = sset.Item(0)<BR>                       Set group(1) = sset.Item(1)<BR>                       Set group(2) = sset.Item(2)<BR>                       Set group(3) = sset.Item(3)<BR>                       Dim pos(0 To 7) As Variant<BR>                       pos(0) = group(0).StartPoint<BR>                       pos(1) = group(1).StartPoint<BR>                       pos(2) = group(2).StartPoint<BR>                       pos(3) = group(3).StartPoint<BR>                       MsgBox pos(0)(0) &amp; "       " &amp; pos(0)(1) &amp; "       " &amp; pos(0)(2) &amp; vbCrLf &amp; pos(1)(0) &amp; "       " &amp; pos(1)(1) &amp; "       " &amp; pos(1)(2) &amp; vbCrLf &amp; pos(2)(0) &amp; "       " &amp; pos(2)(1) &amp; "       " &amp; pos(2)(2) &amp; vbCrLf &amp; pos(3)(0) &amp; "       " &amp; pos(3)(1) &amp; "       " &amp; pos(3)(2)<BR>                       ThisDrawing.SelectionSets.Item("ss1").Delete<BR>End Sub

haohaohapp 发表于 2004-12-23 11:34:00

谢谢老大。非常感谢,我改改
页: [1]
查看完整版本: 如何得到矩形GROUP的四个端点?